LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XSingletonTypeDescription2 Interface Reference

Reflects a singleton, supporting interface-based singletons. More...

`import"XSingletonTypeDescription2.idl";`

Inheritance diagram for XSingletonTypeDescription2:

## Public Member Functions
boolean | isInterfaceBased ()
| Returns whether this object reflects an interface-based singleton. More...
XTypeDescription | getInterface ()
| Returns the interface type associated with the singleton. More...
Public Member Functions inherited from XSingletonTypeDescription
XServiceTypeDescription | getService ()
| Returns the service associated with the singleton. More...
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity. More...
string | getName ()
| Returns the fully qualified name of the UNOIDL entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Reflects a singleton, supporting interface-based singletons.

This type supersedes XSingletonTypeDescription, which only supports obsolete, service-based singletons.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getInterface()

XTypeDescription getInterface | ( |  | ) |

Returns the interface type associated with the singleton.

Returns
  the reflection of the interface type associated with the singleton (of type com::sun::star::reflection::XInterfaceTypeDescription or, in case of a typedef, com::sun::star::reflection::XIndirectTypeDescription), for an interface-based singleton; for an obsolete, service-based singleton, `NULL` is returned

## ◆ isInterfaceBased()

boolean isInterfaceBased | ( |  | ) |

Returns whether this object reflects an interface-based singleton.

Returns
  `TRUE` if this object reflects an interface-based singleton, and `FALSE` if this object reflects an obsolete, service-based singleton

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XSingletonTypeDescription2.idl